<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.storlead.boot</groupId>
        <artifactId>storlead-centre-platform</artifactId>
        <version>1.0</version>
    </parent>

    <artifactId>storlead-user</artifactId>
    <packaging>jar</packaging>

    <dependencies>

        <dependency>
            <groupId>com.storlead.boot</groupId>
            <artifactId>storlead-web</artifactId>
        </dependency>

        <dependency>
            <groupId>com.storlead.boot</groupId>
            <artifactId>storlead-common</artifactId>
        </dependency>

        <dependency>
            <groupId>com.storlead.boot</groupId>
            <artifactId>storlead-wx</artifactId>
        </dependency>

        <dependency>
            <groupId>com.storlead.boot</groupId>
            <artifactId>storlead-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
        </dependency>

        <!-- 参数校验 -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-validation</artifactId>
            <optional>true</optional>
        </dependency>

        <dependency>
            <groupId>org.springdoc</groupId>
            <artifactId>springdoc-openapi-ui</artifactId>
        </dependency>

        <dependency>
            <groupId>io.projectreactor</groupId>
            <artifactId>reactor-test</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- Spring Boot WebSocket -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-websocket</artifactId>
        </dependency>

        <!-- Spring Boot WebFlux (响应式编程) -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-webflux</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-web</artifactId>
        </dependency>

    </dependencies>

</project>
